package data_manage

import (
	"eta/eta_mobile/controllers"
	"eta/eta_mobile/models"
	"eta/eta_mobile/services/data"
)

// 手工数据管理
type ManualController struct {
	controllers.BaseAuthController
}

// @Title 手工数据权限用户搜索
// @Description 手工数据权限用户搜索
// @Param   KeyWord   query   string  false       "关键词搜索"
// @Success 200 {object} data_manage.ManualSysUser
// @router /manual/sysuser/search [get]
func (this *ManualController) ManualSysUserSearch() {
	br := new(models.BaseResponse).Init()
	defer func() {
		this.Data["json"] = br
		this.ServeJSON()
	}()
	sysUser := this.SysUser
	if sysUser == nil {
		br.Msg = "请登录"
		br.Ret = 408
		return
	}
	keyWord := this.GetString("KeyWord")
	list, err := data.GetManualSysUser(keyWord)
	if err != nil {
		br.Msg = "获取失败"
		br.ErrMsg = "获取失败,Err:" + err.Error()
		return
	}
	br.Ret = 200
	br.Success = true
	br.Msg = "获取成功"
	br.Data = list
}

